[Rt-commit] r18092 - in rt/3.999/branches/merge_to_3.8.2: .

sunnavy at bestpractical.com sunnavy at bestpractical.com
Thu Jan 29 23:49:35 EST 2009


Author: sunnavy
Date: Thu Jan 29 23:49:35 2009
New Revision: 18092

Added:
   rt/3.999/branches/merge_to_3.8.2/sbin/rt-attributes-viewer   (contents, props changed)
Modified:
   rt/3.999/branches/merge_to_3.8.2/   (props changed)

Log:
 r19375 at sunnavys-mb:  sunnavy | 2009-01-30 12:48:14 +0800
 added sbin/rt-attributes-viewer


Added: rt/3.999/branches/merge_to_3.8.2/sbin/rt-attributes-viewer
==============================================================================
--- (empty file)
+++ rt/3.999/branches/merge_to_3.8.2/sbin/rt-attributes-viewer	Thu Jan 29 23:49:35 2009
@@ -0,0 +1,88 @@
+#!/usr/bin/env perl
+# BEGIN BPS TAGGED BLOCK {{{
+# 
+# COPYRIGHT:
+# 
+# This software is Copyright (c) 1996-2009 Best Practical Solutions, LLC
+#                                          <jesse at bestpractical.com>
+# 
+# (Except where explicitly superseded by other copyright notices)
+# 
+# 
+# LICENSE:
+# 
+# This work is made available to you under the terms of Version 2 of
+# the GNU General Public License. A copy of that license should have
+# been provided with this software, but in any event can be snarfed
+# from www.gnu.org.
+# 
+# This work is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 or visit their web page on the internet at
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html.
+# 
+# 
+# CONTRIBUTION SUBMISSION POLICY:
+# 
+# (The following paragraph is not intended to limit the rights granted
+# to you to modify and distribute this software under the terms of
+# the GNU General Public License and is only of importance to you if
+# you choose to contribute your changes and enhancements to the
+# community by submitting them to Best Practical Solutions, LLC.)
+# 
+# By intentionally submitting any modifications, corrections or
+# derivatives to this work, or any other work intended for use with
+# Request Tracker, to Best Practical Solutions, LLC, you confirm that
+# you are the copyright holder for those contributions and you grant
+# Best Practical Solutions,  LLC a nonexclusive, worldwide, irrevocable,
+# royalty-free, perpetual, license to use, copy, create derivative
+# works based on those contributions, and sublicense and distribute
+# those contributions and any derivatives thereof.
+# 
+# END BPS TAGGED BLOCK }}}
+use strict;
+use warnings;
+
+my $id = shift;
+usage() unless $id;
+
+sub usage {
+    print STDERR <<END;
+Usage: $0 <attribute id>
+
+Description:
+
+This script deserializes and print content of an attribute defined
+by <attribute id>. May be useful for developers and for troubleshooting
+problems.
+
+END
+    exit 1;
+}
+
+use RT;
+BEGIN { RT->init_jifty }
+RT::load_config();
+RT::init();
+
+require RT::Model::Attribute;
+my $attr = RT::Model::Attribute->new( current_user => RT->system_user );
+$attr->load( $id );
+unless ( $attr->id ) {
+    print STDERR "Couldn't load attribute #$id\n";
+    exit 1;
+}
+
+my %res = ();
+$res{$_} = $attr->$_() foreach qw(object_type object_id name description content
+        content_type);
+
+use Data::Dumper;
+print "Content of attribute #$id: ". Dumper( \%res );
+


More information about the Rt-commit mailing list